﻿using CsvHelper.Configuration.Attributes;

namespace TextFormatConverter.models
{
    public class Cat
    {
        [Name("cat.name")]
        public string? name;
        [Name("cat.age")]
        public int? age;        
    }

    public class Person
    {
     
        public int id;
        public string name;
        public DateTime dateBirth;
        public Cat? cat;
        public bool married;
        public List<string>? children;


        public override string ToString()
        {
            string person = $"id: {id}\n" +
                $"Имя: {name}\n" +
                $"Дата рождения: {dateBirth}\n";
            if(cat != null)
            {
                person += $"Кот: {cat.name}\n" +
                $"Возврат кота: {cat.age}\n";
            }
            person += $"В браке: {married}\n" + "Дети:";
            foreach(string child in children)
                person += child + ", ";
            return person +"\n";
        }
    }
}
